View Issue Details

IDProjectCategoryView StatusLast Update
0004451FreeCADBugpublic2021-02-16 03:34
Reportermirecta Assigned Tokeithsloan52  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Target Version0.20Fixed in Version0.19 
Summary0004451: cant open Openscad file *.scad
Descriptionif i try open some scad files with operation hull it will not successfully ended but traceback is

Traceback (most recent call last):
  File "/usr/share/freecad-daily/Mod/OpenSCAD/OpenSCADFeatures.py", line 502, in execute
    import Part, freecad.OpenSCAD.OpenSCADUtils
<class 'ModuleNotFoundError'>: No module named 'freecad.OpenSCAD'


i fixing it by remove word freecad from thos two lines (/usr/share/freecad-daily/Mod/OpenSCAD/OpenSCADFeatures.py 502 and 503)
import Part, freecad.OpenSCAD.OpenSCADUtils
shape = freecad.OpenSCAD.OpenSCADUtils.process_ObjectsViaOpenSCADShape(fp.Document,fp.Children,\
                fp.Operation, maxmeshpoints=maxmeshpoints)

Steps To Reproduceopen attached file and error will appear
Additional InformationTraceback (most recent call last):
  File "/usr/share/freecad-daily/Mod/OpenSCAD/OpenSCADFeatures.py", line 502, in execute
    import Part, freecad.OpenSCAD.OpenSCADUtils
<class 'ModuleNotFoundError'>: No module named 'freecad.OpenSCAD'
TagsNo tags attached.
FreeCAD InformationOS: Ubuntu 20.04.1 LTS (KDE/plasma)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.
Build type: Release
Branch: unknown
Hash: 7eeec7a5990cc786723225ca8de16ca3186545b3
Python version: 3.8.2
Qt version: 5.12.8
Coin version: 4.0.0
OCC version: 7.3.0
Locale: English/United States (en_US)

Activities

mirecta

2020-10-04 22:16

reporter  

hull.scad (Attachment missing)
hull.png (Attachment missing)

openBrain

2020-10-09 21:12

developer   ~0014806

@mirecta : please address your issue according our reporting guidelines by opening a new topic on our forum. Thx

Kunda1

2020-10-15 17:55

administrator   ~0014873

Discussion thread: https://forum.freecadweb.org/viewtopic.php?f=8&t=51197

digitalgoose

2021-02-15 22:48

reporter   ~0015351

Last edited: 2021-02-15 22:49

Can confirm that this change fixed the issue. Tested with the hull.scad file attached to the bug tracker.

Kunda1

2021-02-16 03:34

administrator   ~0015354

Last edited: 2021-02-16 03:34

fixed with FreeCAD master f3bdaaa5
Thanks to all involved

Related Changesets

FreeCAD: master f3bdaaa5

2020-10-17 09:38:58

sgrogan


Committer: wwmayer Details Diff
fix import, OpenSCAD isn't namespace workbench Affected Issues
0004381, 0004451
mod - src/Mod/OpenSCAD/OpenSCADFeatures.py Diff File

Issue History

Date Modified Username Field Change
2020-10-04 22:16 mirecta New Issue
2020-10-04 22:16 mirecta File Added: hull.scad
2020-10-04 22:16 mirecta File Added: hull.png
2020-10-09 21:12 openBrain Tag Attached: #post-to-forum
2020-10-09 21:12 openBrain Status new => feedback
2020-10-09 21:12 openBrain Note Added: 0014806
2020-10-15 17:55 Kunda1 Note Added: 0014873
2020-10-15 17:55 Kunda1 Tag Detached: #post-to-forum
2020-10-15 17:55 Kunda1 Tag Attached: #pending-forum
2021-02-06 06:49 abdullah Target Version => 0.20
2021-02-15 22:48 digitalgoose Note Added: 0015351
2021-02-15 22:49 digitalgoose Note Edited: 0015351
2021-02-16 03:30 Kunda1 Tag Detached: #pending-forum
2021-02-16 03:34 Kunda1 Assigned To => keithsloan52
2021-02-16 03:34 Kunda1 Status feedback => closed
2021-02-16 03:34 Kunda1 Resolution open => fixed
2021-02-16 03:34 Kunda1 Fixed in Version => 0.19
2021-02-16 03:34 Kunda1 Note Added: 0015354
2021-02-16 03:34 Kunda1 Note Edited: 0015354
2021-02-16 03:34 Kunda1 Changeset attached => FreeCAD master f3bdaaa5